<?php

namespace plugin\admin\app\controller;

use app\model\User;
use plugin\admin\app\controller\Crud;
use support\exception\BusinessException;
use support\Request;
use support\Response;
use Throwable;

/**
 * 版本管理 
 */
class VersionController   extends Crud
{
    
    /**
     * @var \app\model\Version
     */
    protected $model = null;
    /**
     * 构造函数
     * @return void
     */
    function __construct()
    {
        $this->model = new \app\model\Version();
        $osList = $this->model->getOsList();
        $this->assign("osList", $osList);
        $this->assignconfig("osList", $osList);
        $forceList = $this->model->getForceList();
        $this->assign("forceList", $forceList);
        $this->assignconfig("forceList", $forceList);
        $typeList = $this->model->getTypeList();
        $this->assign("typeList", $typeList);
        $this->assignconfig("typeList", $typeList);
        $statusList = $this->model->getStatusList();
        $this->assign("statusList", $statusList);
        $this->assignconfig("statusList", $statusList);
    }
    
}
